Create new user

Create a user in Label Studio.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
allow_newslettersbooleanOptional
Whether the user allows newsletters
avatarstringOptional
Avatar URL of the user
emailstringOptional
Email of the user
first_namestringOptional
First name of the user
idintegerOptional
User ID
initialsstringOptional
Initials of the user
last_namestringOptional
Last name of the user
phonestringOptional
Phone number of the user
usernamestringOptional
Username of the user

Response

active_organization_metastring
avatarstring
idinteger
initialsstringDefaults to ?
last_activitydatetime
lse_fieldsobject
organization_membershipobject
pausestring
usernamestring<=256 characters
org_membershiplist of objectsDeprecated
active_organizationinteger or null
allow_newslettersboolean or null
Allow sending newsletters to user
custom_hotkeysany or null
Custom keyboard shortcuts configuration for the user interface
date_joineddatetime or null
emailstring or nullformat: "email"<=254 characters
first_namestring or null<=256 characters
last_namestring or null<=256 characters
phonestring or null<=256 characters